Bug 1461117 - [abrt] ibus-libpinyin: PY::PunctEditor::cursorDown(): ibus-engine-libpinyin killed by SIGSEGV
[abrt] ibus-libpinyin: PY::PunctEditor::cursorDown(): ibus-engine-libpinyin k...
Status: NEW
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fa096914fb31a361c10c3c8920e...
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 10:35 EDT by Chen_Min_Chin
Modified: 2018-04-06 02:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.73 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: cgroup (242 bytes, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: core_backtrace (5.23 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: dso_list (3.23 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: environ (1.96 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: maps (14.21 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: mountinfo (4.97 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: open_fds (1.06 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-06-13 10:35 EDT, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2017-06-13 10:35:00 EDT
Version-Release number of selected component:
ibus-libpinyin-1.9.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: PY::PunctEditor::cursorDown
executable:     /usr/libexec/ibus-engine-libpinyin
global_pid:     4120
kernel:         4.11.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 PY::PunctEditor::cursorDown at PYPunctEditor.cc:261
 #1 PY::PunctEditor::processKeyEvent at PYPunctEditor.cc:206
 #2 PY::BopomofoEngine::processKeyEvent at PYPBopomofoEngine.cc:153
 #3 _ibus_marshal_BOOLEAN__UINT_UINT_UINT at ibusmarshalers.c:290
 #8 ibus_engine_service_method_call at ibusengine.c:883
 #9 call_in_idle_cb at gdbusconnection.c:4836
 #15 ibus_main at ibusshare.c:299
 #16 start_component at PYMain.cc:142
Comment 1 Chen_Min_Chin 2017-06-13 10:35:07 EDT
Created attachment 1287308 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2017-06-13 10:35:08 EDT
Created attachment 1287309 [details]
File: cgroup
Comment 3 Chen_Min_Chin 2017-06-13 10:35:10 EDT
Created attachment 1287310 [details]
File: core_backtrace
Comment 4 Chen_Min_Chin 2017-06-13 10:35:12 EDT
Created attachment 1287311 [details]
File: dso_list
Comment 5 Chen_Min_Chin 2017-06-13 10:35:13 EDT
Created attachment 1287312 [details]
File: environ
Comment 6 Chen_Min_Chin 2017-06-13 10:35:15 EDT
Created attachment 1287313 [details]
File: exploitable
Comment 7 Chen_Min_Chin 2017-06-13 10:35:17 EDT
Created attachment 1287314 [details]
File: limits
Comment 8 Chen_Min_Chin 2017-06-13 10:35:19 EDT
Created attachment 1287315 [details]
File: maps
Comment 9 Chen_Min_Chin 2017-06-13 10:35:20 EDT
Created attachment 1287316 [details]
File: mountinfo
Comment 10 Chen_Min_Chin 2017-06-13 10:35:22 EDT
Created attachment 1287317 [details]
File: namespaces
Comment 11 Chen_Min_Chin 2017-06-13 10:35:23 EDT
Created attachment 1287318 [details]
File: open_fds
Comment 12 Chen_Min_Chin 2017-06-13 10:35:25 EDT
Created attachment 1287319 [details]
File: proc_pid_status
Comment 13 Chen_Min_Chin 2017-06-13 10:35:26 EDT
Created attachment 1287320 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2017-11-16 09:45:57 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.